import { HttpService } from '../core/http.service';
import { TechlifyServiceBaseClass } from "../base-model";
import * as i0 from "@angular/core";
export declare class EntityFileService extends TechlifyServiceBaseClass {
    http: HttpService;
    constructor(http: HttpService);
    deleteEntityFile(model: any): Promise<Object>;
    uploadEntityFile(file: File, params?: any): Promise<Object>;
    bulkUpdate(model: any): Promise<Object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityFileService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EntityFileService>;
}
